Obtener esquema de campos personalizados
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"reasonForAccountOpening": {
"type": "string",
"title": "Reason for account opening",
"enum": [
"receive_payments_for_goods_and_services",
"payroll",
"other"
]
},
"sourceOfFundsAndIncome": {
"type": "string"
},
"numberOfEmployees": {
"type": "string",
"enum": [
"1-10",
"11-50",
"51-200",
"200+"
]
},
"estimatedAnnualRevenueUsd": {
"type": "string"
},
"estimatedMonthlyVolumeUsd": {
"type": "string"
},
"businessActivityDescription": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"countryTaxResidence": {
"type": "string",
"minLength": 3,
"maxLength": 3
},
"socialMedia": {
"type": "string"
},
"emailPixKey": {
"type": "string"
},
"percentageOfOwnership": {
"type": "string"
},
"hasControl": {
"type": "string"
},
"documentCountry": {
"type": "string"
},
"countryOfTaxId": {
"type": "string"
}
},
"additionalProperties": false
}ENTIDADES
Obtener esquema de campos personalizados
GET
/
api
/
entity
/
v1
/
custom-fields
/
schema
Obtener esquema de campos personalizados
curl --request GET \
--url https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.stage.localpayment.com/api/entity/v1/custom-fields/schema")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"type": "object",
"properties": {
"reasonForAccountOpening": {
"type": "string",
"title": "Reason for account opening",
"enum": [
"receive_payments_for_goods_and_services",
"payroll",
"other"
]
},
"sourceOfFundsAndIncome": {
"type": "string"
},
"numberOfEmployees": {
"type": "string",
"enum": [
"1-10",
"11-50",
"51-200",
"200+"
]
},
"estimatedAnnualRevenueUsd": {
"type": "string"
},
"estimatedMonthlyVolumeUsd": {
"type": "string"
},
"businessActivityDescription": {
"type": "string",
"minLength": 1,
"maxLength": 2000
},
"countryTaxResidence": {
"type": "string",
"minLength": 3,
"maxLength": 3
},
"socialMedia": {
"type": "string"
},
"emailPixKey": {
"type": "string"
},
"percentageOfOwnership": {
"type": "string"
},
"hasControl": {
"type": "string"
},
"documentCountry": {
"type": "string"
},
"countryOfTaxId": {
"type": "string"
}
},
"additionalProperties": false
}Devuelve el esquema de campos personalizados publicado para tu comercio, como JSON Schema (predeterminado) o como definición de campos nativa de Localpayment (?format=definition). Úsalo para construir formularios y validar attributes antes de llamar a la API.
- Los esquemas son definidos y publicados por Localpayment para tu comercio durante el onboarding; solicita cambios a través de tu gestor de cuenta.
- Cuando no hay ningún esquema publicado, attributes se acepta sin validación y este endpoint devuelve 404.
- El esquema se aplica tanto a las entidades INDIVIDUAL como COMPANY.
application/problem+json con un code estable. Catálogo completo: Estados de entidad y códigos de error.Autorizaciones
Encabezados
Token de acceso Bearer para la autenticación. Este token se obtiene de los endpoints Get Access Token o Refresh Access Token. Tu cuenta de comerciante y el usuario que actúa se determinan a partir de él.
Ejemplo:
"Bearer <your_access_token>"
Parámetros de consulta
Última modificación el 10 de noviembre de 2026

